%bcond_without tests

Summary:        Library to access the metadata for a Python package
Name:           python-importlib-metadata
Version:        6.8.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source importlib_metadata}

BuildRequires:  python3-devel pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3-test python3dist(pytest) python3dist(pyfakefs)
%endif

BuildArch:      noarch

%description
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%package -n     python3-importlib-metadata
Summary:        Library to access the metadata for a Python package

%description -n python3-importlib-metadata
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%prep
%autosetup -n importlib_metadata-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files importlib_metadata

%if %{with tests}
%check
%pytest --ignore exercises.py -k "not test_find_local"
%endif


%files -n python3-importlib-metadata -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Thu May 23 2024 cunshunxia <cunshunxia@tencent.com> - 6.8.0-2
- enable %%check for further building.

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 6.8.0-1
- Upgrade to version 6.8.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Miaojun Dong <zoedong@tencent.com> - 5.2.0-1
- initial build
